import React, { VFC } from 'react';
import { StyleProp, View, ViewStyle } from 'react-native';
import { Color } from 'react-native-svg';
declare type IconProps = {
    style?: StyleProp<ViewStyle>;
    fillColor?: Color;
};
export declare function createIcon<TProps>(Component: VFC<TProps>): React.MemoExoticComponent<React.ForwardRefExoticComponent<React.PropsWithoutRef<TProps & IconProps> & React.RefAttributes<View>>>;
export {};
