import React, { forwardRef, memo } from 'react';
import { View } from 'react-native';
import Svg from 'react-native-svg';
export function createIcon(Component) {
    const wrapper = forwardRef((props, ref) => {
        var _a;
        return (<View ref={ref} style={[{ aspectRatio: 1, width: 24, height: 24 }, props.style]}>
            <Svg viewBox="0 0 24 24" fill={(_a = props.fillColor) !== null && _a !== void 0 ? _a : "none"}>
                <Component {...props}/>
            </Svg>
        </View>);
    });
    return memo(wrapper);
}
