import React from 'react';
import { Color } from 'react-native-svg';
declare type BrokenProps = {
    color: Color;
    strokeWidth: number;
};
declare type CurvedProps = {
    color: Color;
    strokeWidth: number;
};
declare type DuotoneProps = {
    color: Color;
    strokeWidth: number;
};
declare type OutlineProps = {
    color: Color;
    strokeWidth: number;
};
declare type ScreenProps = {
    variant: 'broken';
} & BrokenProps | {
    variant: 'curved';
} & CurvedProps | {
    variant: 'duotone';
} & DuotoneProps | {
    variant: 'outline';
} & OutlineProps;
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<(ScreenProps & {
    style?: import("react-native").StyleProp<import("react-native").ViewStyle>;
    fillColor?: Color | undefined;
}) & React.RefAttributes<import("react-native").View>>>;
export default _default;
